/*
 *          SDL-2000 Parser
 *
 * Copyright (C) 2003 Michael Schmitt <Michael.Schmitt@teststep.org>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * $Id: SDLName.h,v 1.5 2003/05/21 21:31:54 schmitt Exp $
 *
 */

#ifndef _SDLName_h
#define _SDLName_h

class SDLName
{
  public:

    enum Type
    {
      unspecified,
      agent, agentType, association, block, blockType, channel, compositeState,
      compositeStateType, connector, dataType, exception, exceptionHandler,
      field, gate, interface, literal, naturalLiteral, operation, package,
      procedure, process, processType, remoteProcedure, remoteVariable, role,
      signal, signalList, sort, state, stateEntryPoint, stateExitPoint,
      statePartition, synonym, syntype, system, systemType, timer, variable
    };
};

#endif
